import useTitle from "../../utils/hooks/TitleHook";
import React from "react";
import {useNavigate} from "react-router";

const ROOM_URL = `http://${process.env.REACT_APP_API_URL}/room`;

const Rooms = () => {

    useTitle('Mau-Mau Rooms');
    const navigateTo = useNavigate();

    const [rooms, setRooms] = React.useState<string[]>([]);

    React.useEffect(() => {
        fetch(ROOM_URL)
            .then(r => r.json())
            .then(data => setRooms(data));
    }, []);

    return (
        <div>
            <h1>Rooms</h1>
            <ul>
                {
                    rooms.map((room, index) => {
                        return <li key={index} className={"clickable"}
                                   onClick={() => navigateTo(`/room/${room}`)}>{room}</li>
                    })
                }
            </ul>
        </div>
    );
};

export default Rooms;
